com.trendmicro.ds.platform.rest.api

## Interface IManagerInfoAPI

-     public interface IManagerInfoAPI

  The APIs to return information about the Manager.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ComponentInfoElement>` | `getComponentSummary(java.lang.String sID)` return detail component info in current system
    `FeatureSummaryElement` | `getFeatureSummary(int timescale, java.lang.String sID)` Get status summary of each protection feature
    `java.lang.String` | `getManagerVersion()` Return DSM version.
    `javax.ws.rs.core.Response` | `getMessageInMCPLogon(java.lang.Integer header, java.lang.String sID)` Return a LOGON message in MCP blob
    `java.lang.String` | `getProductGUID(java.lang.String sID)` Return product GUID for TMCM to identify the server.
    `StatusSummaryElement` | `getStatusSummary(java.lang.String sID)` return the status summary of the system

- - ### Method Detail

    - #### getProductGUID

          java.lang.String getProductGUID(java.lang.String sID)

      Return product GUID for TMCM to identify the server.
      Returns:
        product server GUID

    - #### getManagerVersion

          java.lang.String getManagerVersion()

      Return DSM version.
      Returns:
        DSM version

    - #### getMessageInMCPLogon

          javax.ws.rs.core.Response getMessageInMCPLogon(java.lang.Integer header,
                                                         java.lang.String sID)
                                                  throws java.lang.Exception

      Return a LOGON message in MCP blob
      Returns:
        LOGON MCP blob
      Throws:
        `java.lang.Exception`

    - #### getComponentSummary

          java.util.List<ComponentInfoElement> getComponentSummary(java.lang.String sID)
                                                            throws java.lang.Exception

      return detail component info in current system
      Parameters:
        `sID` - session identifier
      Returns:
        component update information
      Throws:
        `java.lang.Exception`

    - #### getStatusSummary

          StatusSummaryElement getStatusSummary(java.lang.String sID)
                                         throws java.lang.Exception

      return the status summary of the system
      Parameters:
        `sID` - session identifier
      Returns:
        status summary including host status summary and alert numbers
      Throws:
        `java.lang.Exception`

    - #### getFeatureSummary

          FeatureSummaryElement getFeatureSummary(int timescale,
                                                  java.lang.String sID)
                                           throws java.lang.Exception

      Get status summary of each protection feature
      Parameters:
        `timescale` - 1 - last 7 days; 2 - last 24 hours; *
        `sID` - session identifier
      Returns:
        FeatureSummary including summaries of each protection feature.
      Throws:
        `java.lang.Exception`

Copyright © 2015 Trend Micro Inc. All Rights Reserved.